## org.codehaus.groovy.groovydoc
Interface GroovyType

All Known Subinterfaces:
  GroovyClassDoc

All Known Implementing Classes:
  SimpleGroovyClassDoc, SimpleGroovyType

    public interface GroovyType

Method Summary
`GroovyClassDoc` `asClassDoc()`
`String` `dimension()`
`String` `fullDottedName()`
`boolean` `isPrimitive()`
`String` `qualifiedTypeName()`
`String` `simpleTypeName()`
`String` `typeName()`

Method Detail

### asClassDoc

    GroovyClassDoc asClassDoc()

### dimension

    String dimension()

### isPrimitive

    boolean isPrimitive()

### qualifiedTypeName

    String qualifiedTypeName()

### simpleTypeName

    String simpleTypeName()

### typeName

    String typeName()

### fullDottedName

    String fullDottedName()

Copyright © 2003-2008 The Codehaus. All rights reserved.